import xlsxwriter
 
 

print(333)
# 创建一个新Excel文件并添加一个工作表。
workbook = xlsxwriter.Workbook('images.xlsx')
print(22)
worksheet = workbook.add_worksheet()
print(0)
# 加宽第一列使文本更清晰。
worksheet.set_column('A:A', 30)
 
# 插入一张图片。
worksheet.write('A2', '向单元格插入一张图片：')
worksheet.insert_image('B2', 'provider_order.png')
 
# 插入一张位偏移图片。
worksheet.write('A12', '插入一张位偏移图片：')
worksheet.insert_image('B12', 'provider_order.png', {'x_offset': 15, 'y_offset': 10})
 
# 插入一张缩放了的图片。
worksheet.write('A23', '插入一张缩放了的图片：')
worksheet.insert_image('B23', 'provider_order.png', {'x_scale': 0.5, 'y_scale': 0.5})
 
workbook.close()